Bug 238644 - Warning: font renderer for ".pcf" already registered at priority 0
Warning: font renderer for ".pcf" already registered at priority 0
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-01 19:46 EDT by Daniel Duggan
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:39:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf xorg,log and dmesg (86.47 KB, text/plain)
2007-05-01 19:46 EDT, Daniel Duggan
no flags Details

  None (edit)
Description Daniel Duggan 2007-05-01 19:46:43 EDT
Description of problem:
The update of xorg-x11-server-Xorg.i386 1.1.1-47.8.fc6 seems to cause these
Warnings in both the gdm and Xorg logs
# cat /var/log/gdm/:0.log

X Window System Version 7.1.1
Release Date: 12 May 2006
X Protocol Version 11, Revision 0, Release 7.1.1
Build Operating System: Linux 2.6.9-42.0.8.ELsmp i686 Red Hat, Inc.
Current Operating System: Linux  2.6.20-1.2944.fc6 #1 SMP Tue Apr 10 18:46:45
EDT 2007 i686
Build Date: 08 April 2007
Build ID: xorg-x11-server 1.1.1-47.8.fc6
        Before reporting problems, check [url]http://wiki.x.org[/url]
        to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Mon Apr 16 19:25:25 2007
(==) Using config file: "/etc/X11/xorg.conf"

Warning: font renderer for ".pcf" already registered at priority 0
Warning: font renderer for ".pcf.Z" already registered at priority 0
Warning: font renderer for ".pcf.gz" already registered at priority 0
Warning: font renderer for ".snf" already registered at priority 0
Warning: font renderer for ".snf.Z" already registered at priority 0
Warning: font renderer for ".snf.gz" already registered at priority 0
Warning: font renderer for ".bdf" already registered at priority 0
Warning: font renderer for ".bdf.Z" already registered at priority 0
Warning: font renderer for ".bdf.gz" already registered at priority 0
Warning: font renderer for ".pmf" already registered at priority 0 

Version-Release number of selected component (if applicable):
Build Date: 08 April 2007
Build ID: xorg-x11-server 1.1.1-47.8.fc6 

How reproducible:
Occurs 100 % of the time, regardless of using nv or nvidia drivers (seems
independent of those)

Version-Release number of selected component (if applicable):


How reproducible:
Occurs 100 % of the time, regardless of using nv or nvidia drivers (seems
independent of those)

Steps to Reproduce:
1.Start the Xserver
2.View the Xorg.0.log or the :0.log under gdm
3.
  
Actual results:
X Window System Version 7.1.1
Release Date: 12 May 2006
X Protocol Version 11, Revision 0, Release 7.1.1
Build Operating System: Linux 2.6.9-42.0.8.ELsmp i686 Red Hat, Inc.
Current Operating System: Linux  2.6.20-1.2944.fc6 #1 SMP Tue Apr 10 18:46:45
EDT 2007 i686
Build Date: 08 April 2007
Build ID: xorg-x11-server 1.1.1-47.8.fc6
        Before reporting problems, check [url]http://wiki.x.org[/url]
        to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Mon Apr 16 19:25:25 2007
(==) Using config file: "/etc/X11/xorg.conf"

Warning: font renderer for ".pcf" already registered at priority 0
Warning: font renderer for ".pcf.Z" already registered at priority 0
Warning: font renderer for ".pcf.gz" already registered at priority 0
Warning: font renderer for ".snf" already registered at priority 0
Warning: font renderer for ".snf.Z" already registered at priority 0
Warning: font renderer for ".snf.gz" already registered at priority 0
Warning: font renderer for ".bdf" already registered at priority 0
Warning: font renderer for ".bdf.Z" already registered at priority 0
Warning: font renderer for ".bdf.gz" already registered at priority 0
Warning: font renderer for ".pmf" already registered at priority 0 

Expected results:
X Window System Version 7.1.1
Release Date: 12 May 2006
X Protocol Version 11, Revision 0, Release 7.1.1
Build Operating System: Linux 2.6.9-42.0.8.ELsmp i686 Red Hat, Inc.
Current Operating System: Linux  2.6.20-1.2944.fc6 #1 SMP Tue Apr 10 18:46:45
EDT 2007 i686
Build Date: 08 April 2007
Build ID: xorg-x11-server 1.1.1-47.8.fc6
        Before reporting problems, check [url]http://wiki.x.org[/url]
        to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Mon Apr 16 19:25:25 2007
(==) Using config file: "/etc/X11/xorg.conf" 

Additional info:
This is an update / follow up to Bug
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=236696
which I did not have a timely reply for.
Please forgive me as I was unavailable. :)

And yes, I understand that the Nvidia drivers, do mess things up for you. I ahve
removed those drivers and re-started / be-booted wit the same results.
I have attached the files which you requested in the previous Bug report:

Once again, I apologize for not providing the information earlier.  If you
require any additional information please let me know and I will do my best to
forward that information to your attentions.

Dan
Comment 1 Daniel Duggan 2007-05-01 19:46:43 EDT
Created attachment 153904 [details]
xorg.conf xorg,log and dmesg
Comment 2 Matěj Cepl 2007-10-02 17:48:22 EDT
Since this bugzilla report was filed, there have been several updates, which may
have resolved this issue. Users who have experienced this problem are encouraged
to upgrade their system to the latest version of their distribution available.

Please, if you experience this problem on the up-to-date system, let us now in
the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as
INSUFFICIENT_DATA. Thank you.
Comment 3 Matěj Cepl 2007-12-10 04:24:20 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 4 Matěj Cepl 2008-01-15 09:39:32 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.